import request from '@/config/axios'

export interface UserPointsVO {
  userId: string,
  point: number,
  operation: string
}

// 获取用户积分分页
export const getUserAccountPage = async (params) => {
  return await request.get({ url: `/menduner/system/user-account/page`, params })
}

// 获取用户积分详情
export const getUserPointsDetails = async (id) => {
  return await request.get({ url: `/menduner/reward/user-point/get?id=${id}` })
}

// 更新用户积分
export const updateUserPoints = async (data) => {
  return await request.put({ url: `/menduner/reward/user-point/update-point`, data })
}